Hospitality
  1. Reservations
Hospitality
  • Admin
    • Authentication
      • Admin Profile
      • Login Admin
      • Admin Logout
      • Forget Password
      • Confirm Reset Password
    • Rooms
      • Get All Rooms
      • Get Room Details
      • Hide Rooms
      • Create Room
      • Update Room
      • Delete Room
    • Apartments
      • Get All Apartments
      • Get Apartment Details
      • Apartment Status
      • Create Apartment
      • Update Apartment
      • Delete Apartment
    • Proposals
      • Fetch All Proposals
      • Delete Proposals
      • Fetch Proposal Details
      • Approve / Decline Proposal
    • Reservations
      • All Reservation
        GET
      • Delete Reservations
        DELETE
      • End / Cancel Reservation
        PATCH
      • Add Reservation
        POST
      • Add Reservation (New)
        POST
      • Send Invoice
        POST
      • Change Reservation ID
        PUT
      • Filter For Reservations
        GET
      • Get Reservation Details
        GET
    • Bookings
      • All Booking Reservation
      • Delete Bookings
      • End / Cancel Reservation
      • Add Reservation (New)
      • Send Invoice
      • Change Reservation ID
      • Filter For Reservations
      • Get Booking Details
    • Receptionists
      • Create Receptionist
      • View All Receptionist
      • Delete Receptionist
    • Dashboard
      • Get Statistics
    • Schedule Calls
      • View All Schedules
      • Update Schedule Calls
    • Coupons
      • Create Coupon Code
      • Get All Coupon Code
      • Deactivate / Activate Coupon Code
      • Delete Coupon
    • Refunds
      • Get All Refunds
      • Issue a Refund
      • Approve Or Decline Refunds
      • Update Refunds
      • Filter Refund
    • Categories
      • Create Categories
      • Get All Room Types
      • Update Room Category
      • Delete Room Category
    • Payments (New)
      • Confirm Payment (New)
  • Users
    • Proposals
      • Send A Proposal
    • Reservations
      • Get All Reservations
      • Get Active Reservations
      • Extend Reservation
      • Download Invoice
      • Get Reservation Details
    • Authentication
      • User Registration
      • User Profile
      • Forget Password
      • User Login
      • User Logout
      • Update Account
      • Confirm Reset Password
      • Code Verification
    • Payments
      • Verify Payment
      • Payment For Reservation
      • Create Payment Link (New)
      • Confirm Payment (New)
      • Make Payment For Apartment
      • Verify Paid Apartments
    • Coupons
      • Apply Coupons
    • Refunds
      • Issue a Refund
      • Get All Refunds
  • Rooms
    • Get All Rooms
    • View Room Details
    • Filter Rooms
    • Get Avaliable Rooms
  • Apartments
    • Get All Apartments
    • View Apartment Details
    • Get Avaliable Apartments
  • Categories
    • Get All Categories
  • Owners
    • Authentication
      • Code Verification
      • Get Profile
      • Login
      • User Registration
      • Forget Password
      • Update Account Copy
  • Base Endpiont
    GET
  • Health Check
    GET
  • Schedule A Call
    POST
  • Subscribe Email
    POST
  • Cron Jobs
    GET
  • Payment Webhook
    POST
  • New Request
    GET
  1. Reservations

End / Cancel Reservation

PATCH
/admin/reservations/status/{id}

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Body Params application/json

Examples

Responses

🟢200
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PATCH '/admin/reservations/status/6731d2b97385650f90d6e32f' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "status": "cancelled",
    "reason": {
        "type": "Dadfadaf",
        "description": "This is just a test now !!!"
    }
}'
Response Response Example
{
    "status": true,
    "message": "Success! Reservation has been updated successfully.",
    "data": {
        "reservation": {
            "_id": "653e1abd7caa88fa5e6f5f46",
            "roomName": "Asa Royal room",
            "userId": "653bc09dd315da400aa0824d",
            "fullName": "Abdullah Yahaya Abu",
            "roomId": "653a2c6f8ce4a13762264c20",
            "reservationType": "Family Room",
            "status": "completed",
            "quantity": 3,
            "fromDate": "2023-10-26T00:00:00.000Z",
            "toDate": "2023-10-27T00:00:00.000Z",
            "location": "Akure",
            "createdAt": "2023-10-29T08:41:33.966Z",
            "updatedAt": "2023-10-29T09:57:06.927Z",
            "__v": 0
        },
        "room": {
            "_id": "653a2c6f8ce4a13762264c20",
            "name": "Asa Royal room",
            "type": "Family Room",
            "price": 36000,
            "location": "Akure",
            "bookedStatus": false,
            "description": "This is some content on how beautiful this single room is. Everything from the ambience to the aura of Asa room is rooted and built up for your 100% deep satisfaction. You made the right choice! Proceed to check out. This is some content on how beautiful this single room is. Everything from the ambience to the aura of Asa room is rooted. You made the right choice! Proceed to check out.",
            "facilities": [
                "Air Condition",
                "Ree Wi-Fi",
                "Nice View",
                "24hr Electricity"
            ],
            "comments": [],
            "images": [
                "testing"
            ],
            "createdAt": "2023-10-26T09:07:59.719Z",
            "updatedAt": "2023-10-29T09:57:07.374Z",
            "__v": 0
        }
    }
}
Modified at 2026-03-12 16:47:55
Previous
Delete Reservations
Next
Add Reservation
Built with